type List {
    _id: ID!
    title: String!
    iconName: String!
    bgColor: String!
    tasks(_id: ID): [Task]!
}

type Task {
    _id: ID!
    title: String!
    description: String!
    deadline: String
    finished: Boolean
}

type Query {
    list(_id: ID!): List
    lists: [List]
}

type Mutation {
    createList(title: String, iconName: String, bgColor: String): List
    updateList(_id: ID!, title: String, iconName: String, bgColor: String): List
    deleteList(_id: ID!): String

    createTask(listId: ID!, title: String, description: String, deadline: String): Task
    updateTask(_id: ID!, title: String, description: String, deadline: String): Task
    updateTaskStatus(_id: ID!, finished: Boolean!): Task
    deleteTask(_id: ID!): String
}